Debian-Sicherheitsankündigung

DSA-897-1 phpsysinfo -- Programmierfehler

Datum des Berichts:
15. Nov 2005
Betroffene Pakete:
phpsysinfo
Verwundbar:
Ja
Sicherheitsdatenbanken-Referenzen:
In der Debian-Fehlerdatenbank: Fehler 301118.
In Mitres CVE-Verzeichnis: CVE-2005-0870, CVE-2005-3347, CVE-2005-3348.
Weitere Informationen:

Mehrere Verwundbarkeiten wurden in phpsysinfo entdeckt, einer PHP-basierten Applikation für Hostinformationen. Das Common Vulnerabilities and Exposures project identifiziert die folgenden Probleme:

  • CVE-2005-0870

    Maksymilian Arciemowicz entdeckte mehrere Probleme durch Site-übergreifendes Skripting, von denen nicht alle in DSA 724 behoben wurden.

  • CVE-2005-3347

    Christopher Kunz entdeckte, dass lokale Variablen ohne Überprüfung überschrieben und anschließend als vertrauenswürdig eingestuft werden. Dadurch können beliebige Dateien eingelesen werden.

  • CVE-2005-3348

    Christopher Kunz entdeckte, dass Benutzereingaben ohne Entschärfung verwendet werden, wodurch ein Problem bei der Aufteilung der HTTP-Response entsteht.

Für die alte Stable-Distribution (Woody) wurden diese Probleme in Version 2.0-3woody3 behoben.

Für die Stable-Distribution (Sarge) wurden diese Probleme in Version 2.3-4sarge1 behoben.

Für die Unstable-Distribution (Sid) werden diese Probleme bald behoben sein.

Wir empfehlen Ihnen, Ihr phpsysinfo-Paket zu aktualisieren.

Behoben in:

Debian GNU/Linux 3.0 (woody)

Quellcode:
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.0-3woody3.dsc
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.0-3woody3.diff.gz
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.0.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.0-3woody3_all.deb

Debian GNU/Linux 3.1 (sarge)

Quellcode:
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.3-4sarge1.dsc
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.3-4sarge1.diff.gz
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.3.orig.tar.gz
Architektur-unabhängige Dateien:
http://security.debian.org/pool/updates/main/p/phpsysinfo/phpsysinfo_2.3-4sarge1_all.deb

MD5-Prüfsummen der aufgeführten Dateien stehen in der ursprünglichen Sicherheitsankündigung zur Verfügung.